Bug 2241 - Setting type of service in applications such that Wi-Fi QoS can read it
Setting type of service in applications such that Wi-Fi QoS can read it
Status: RESOLVED FIXED
Product: ns-3
Classification: Unclassified
Component: wifi
pre-release
All All
: P3 enhancement
Assigned To: sebastien.deronne
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 20:53 EST by Tom Henderson
Modified: 2016-07-14 15:09 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Henderson 2015-12-04 20:53:22 EST
In ns-3-dev, we do not have a way to express class of service at the application layer so that packets are prioritized in the Wi-Fi layer. 

This is a proposal for how to pass PIEEE802.1p class of service value from IP layer (IPv4 only right now) to Wi-Fi so that Wi-Fi access category can be set without Wi-Fi having to peek at the IP header (Wi-Fi does not have an internet module dependency).

More details in the code review (suggest to gather comments there):
https://codereview.appspot.com/277230044/
Comment 1 Tom Henderson 2016-01-04 15:44:14 EST
Another way to implement this:

https://codereview.appspot.com/277570043
Comment 2 sebastien.deronne 2016-03-05 10:57:46 EST
Tom, what is the status of this?
I think you had the intention to include those changes in ns-3.25.
Comment 3 Tom Henderson 2016-03-05 11:52:10 EST
(In reply to sebastien.deronne from comment #2)
> Tom, what is the status of this?
> I think you had the intention to include those changes in ns-3.25.


I was waiting for the traffic control work to settle, as it has some bearing on the resolution of this.

I also was waiting for any more feedback about the desired approach; I implemented two alternatives:

1) PacketTag (which I would argue to replace Wifi QosTag with this new tag)

2) object aggregation to expose a special class-of-service-aware interface 

The sentiment expressed, in discussion of the second approach, was that the second approach could be adapted to the traffic control layer once that is merged.

Any opinions against trying to adapt 2) for traffic control layer?
Comment 4 sebastien.deronne 2016-06-04 07:04:49 EDT
We should take actions here to have this included in ns-3.26.
Comment 5 sebastien.deronne 2016-07-14 15:09:02 EDT
Pushed by Stefano.